const PANDORA_URI = require("../config.js").PANDORA_URI;
const req = require("../utils/request").httpReq;
const { API_INTERNAL_URI, API_YD_LOGIN } = require("../config.js");


exports.fetch_user = async (ctx, next) => {
  const url = `${PANDORA_URI}/api/user/getuser`;
  const cookie = ctx.request.header.cookie;
  console.log('cookie============', cookie)
  const opts = {
    url: url,
    method: "GET",
  };
  ctx.body = await req(ctx, opts);
};

exports.J_login = async (ctx, next) => {
  var url = `${API_INTERNAL_URI}/merchant/authority/login`;
  var opts = {
    url: url,
    method: 'POST',
    json: true,
    body: ctx.request.body
  }
  ctx.body = await req(ctx, opts)
}

exports.YD_login = async (ctx, next) => {
  var url = API_YD_LOGIN;
  var opts = {
    url: url,
    method: 'POST',
    json: true,
    body: ctx.request.body
  }
  ctx.body = await req(ctx, opts)
}
