import router from "@/router";
// export async function handleUserLogin() {
//   const { status, user } = await fetchCurrentUser();
//   // {"status":"success","user":{"userid":"732473439","name":"吕伟朝","email":"lvweichao@yidian-inc.com","avatar":""}}
//   if (status === 'success') {
//     store.commit('updateUserInfo', user);
//     store.dispatch('updateUserPermission', { email: user.email }).then(() => {
//       router.beforeResolve((to, from, next) => {
//         if (to.meta.requireAuth) {
//           console.log(33333, to)
//           console.log(5555, checkPathAuth(to.path));
//           next()
//         } else {
//           next()
//         }
//       })
//     });
//   } else {
//     redirectToLogin();
//   }
// }

export function redirectToLogin() {
  let hasCallback = window.location.href.match(/\?callback/);
  let isLogin = window.location.pathname.match(/op\/login/);
  const cbUrl = hasCallback && !isLogin ? window.location.search.split('?callback=')[1] : window.location.pathname;
  console.log('cbUrl',cbUrl)
  router.push(`/op/login?callback=${window.encodeURI(cbUrl)}`)
}

export function redirectPage() {
  let url = window.location.search.split('?callback=')[1] || window.location.pathname;
  // if(!url) {
  //   router.push('/op/platform')
  // } else {
  router.push(url)
  console.log('redirectUrl', url)
  // }
}

export function isYdUser(email)  {
  return email.match(/yidian-inc/) || false
}

export function setCookie(cname, cvalue, exdays) {
  var d = new Date();
  d.setTime(d.getTime() + (exdays*24*60*60*1000));
  var expires = "expires="+d.toUTCString();
  document.cookie = cname + "=" + cvalue + "; " + expires;
}

//获取cookie
export function getCookie(NameOfCookie) {
  if (document.cookie.length > 0) {
      let begin = document.cookie.indexOf(NameOfCookie + "=");
      if (begin !== -1) {
          begin += NameOfCookie.length + 1;
          let end = document.cookie.indexOf(";", begin);
          if (end === -1) end = document.cookie.length;
          return unescape(document.cookie.substring(begin, end));
      }
  }
  return null;
}

export function delCookie(name) { 
  var exp = new Date(); 
  exp.setTime(exp.getTime() - 1); 
  var cval = getCookie(name); 
  if(cval!=null) 
  document.cookie= name + "="+cval+";expires="+exp.toGMTString(); 
}

